/*	
	AgenziaInformatica 0.1
	
	Author: Michele Zuccala' 2005-05-25
	
	From an original work of Paolo Grifantini
	
	This work is licensed under a Creative Commons License
	http://creativecommons.org/licenses/by-nc-sa/2.0/
	
	Attribution-NonCommercial-ShareAlike 2.0
	
	You are free:
	* to copy, distribute and display the work
	* to make derivative works
	
	Under the following conditions:
	* Attribution. You must give the original author credit.
	* Noncommercial. You may not use this work for commercial purposes.
	* Share Alike. If you alter, transform, or build upon this work, you may 
		distribute the resulting work only under a license identical to this one.
	
	* For any reuse or distribution, you must make clear to others the license terms of this work.
	* Any of these conditions can be waived if you get permission from the copyright holder.
	
	Part of this code  Apple Computer Inc.
	
*/



window.onload = init;

function init() {

content=document.getElementById('wrapper');
	content.addEventListener('mousemove',mousemove,false);
	content.addEventListener('mouseout',mouseexit,false);

	document.getElementById('flip').addEventListener('click',flipover,false);

}



function flipover(){	
	if (document.getElementById("behind").style.display=='block'){
		finishwithback();
	}else{
		showbackside();
	}
}

function finishwithback(){
	showfrontside();
}



// The following code is copyright Apple Computer Inc.;



function showbackside(){
	var front = document.getElementById("front");
	var back = document.getElementById("behind");

	if (window.widget)
		widget.prepareForTransition("ToBack");
	
	front.style.display="none";
	back.style.display="block";

	if (window.widget)
		setTimeout ('widget.performTransition();', 0);		
}

function showfrontside(){
	var front = document.getElementById("front");
	var back = document.getElementById("behind");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");
	
	front.style.display="block";
	back.style.display="none";
	
	if (window.widget)
		setTimeout("widget.performTransition();", 0);
}




var flipShown = false;
var animation = {duration:0, starttime:0, to:1.0, now:0.0, from:0.0, element:null, timer:null};

function limit_3 (a, b, c) {
    return a < b ? b : (a > c ? c : a);
}

function computeNextFloat (from, to, ease){
    return from + (to - from) * ease;
}

function animate(){
	var T;
	var ease;
	var time = (new Date).getTime();
	
	T = limit_3(time-animation.starttime, 0, animation.duration);
	
	if (T >= animation.duration){
		clearInterval (animation.timer);
		animation.timer = null;
		animation.now = animation.to;
	}
	else{
		ease = 0.5 - (0.5 * Math.cos(Math.PI * T / animation.duration));
		animation.now = computeNextFloat (animation.from, animation.to, ease);
	}
	
	animation.element.style.opacity = animation.now;
}


function mousemove(){
	if (!flipShown){
		// fade in the flip widget
		if (animation.timer != null){
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13; // set it back one frame
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.element = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 1.0;
		animate();
		flipShown = true;
	}
}

function mouseexit(){
	if (flipShown)
	{
		// fade in the flip widget
		if (animation.timer != null)
		{
			clearInterval (animation.timer);
			animation.timer  = null;
		}
		
		var starttime = (new Date).getTime() - 13; // set it back one frame
		
		animation.duration = 500;
		animation.starttime = starttime;
		animation.element = document.getElementById ('flip');
		animation.timer = setInterval ("animate();", 13);
		animation.from = animation.now;
		animation.to = 0.0;
		animate();
		flipShown = false;
	}
}



//codice sacsblu

function MM_goToURL() { //v3.0

 

 product = document.getElementById('searchFld').value;

 

 widcat=document.getElementById('widcat').selectedIndex;

 
 product = product.replace(/[\s]+/g,'+');

 

 widget.openURL("http://www.agenziainformatica.com/modelli.php?codice=" + product + "&x=0&y=0&marca=&macro=&family=&classid=&order=listino&senso=&per=&widcat=" + widcat);

 

}